Package org.gradle.api.flow

# Interface BuildWorkResult

@Incubating public interface BuildWorkResult
Summary result of the execution of the work scheduled for the current build.

Since:
  8.1
See Also:
  - `FlowProviders.getBuildWorkResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<Throwable>`
  `getFailure()`
  A summary of the configuration time and execution time failure(s) that occurred as Gradle tried to execute the scheduled work.

- ## Method Details

  - ### getFailure

    Optional<Throwable> getFailure()
    A summary of the configuration time and execution time failure(s) that occurred as Gradle tried to execute the scheduled work.
    Returns:
      `empty` when no failures occur.